**Source URL:** https://general.veevavault.dev/vault-api/api-reference/25.2/vault-objects/object-record-attachments/retrieve-deleted-object-record-attachments.md

# Retrieve Deleted Object Record Attachments



Retrieve IDs of object attachments deleted within the past 30 days. Learn more about [object record attachments in Vault Help](https://platform.veevavault.help/en/gr/58613).

After object record attachments and attachment versions are deleted, their IDs remain available for retrieval for 30 days. After that, they cannot be retrieved.

This API cannot retrieve attachments in [attachment fields](https://platform.veevavault.help/en/gr/15057).

<Endpoint path="/api/{version}/objects/deletions/vobjects/{object_name}/attachments" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` or `text/csv` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object from which to retrieve deleted attachments. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `start_date` | Specify a date (no more than 30 days past) after which Vault will look for deleted object record attachments. Dates must be `YYYY-MM-DDTHH:MM:SSZ` format, for example, 7AM on January 15, 2016 would use `2016-01-15T07:00:00Z`. Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date. |
| `end_date` | SSpecify a date (no more than 30 days past) before which Vault will look for deleted object record attachments. Dates must be `YYYY-MM-DDTHH:MM:SSZ` format, for example, 7AM on January 15, 2016 would use `2016-01-15T07:00:00Z`. Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date. |
| `limit` | Paginate the results by specifying the maximum number of deleted attachments to display per page in the response. This can be any value between `0` and `5000`. If omitted, defaults to `1000`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl --location 'https://myvault.veevavault.com/api/v25.2/objects/deletions/vobjects/campaign__c/attachments' \
--header 'Accept: application/json' \
--header 'Authorization: {SESSION_ID}' \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "responseMessage": "OK",
   "responseDetails": {
       "total": 1,
       "size": 1,
       "limit": 1000,
       "offset": 0
   },
   "data": [
       {
           "id": 1501,
           "version": "",
           "date_deleted": "2025-05-17T02:26:49Z",
           "external_id__v": null,
           "record_id": "OBE00000000H001",
           "deletion_type": "attachment__sys"
       }
   ]
}

```
</CodeExample>

## Response Details {#response-details}



---

**Previous:** [Retrieve Object Record Attachment Version Metadata](/vault-api/api-reference/25.2/vault-objects/object-record-attachments/retrieve-object-record-attachment-version-metadata)  
**Next:** [Download Object Record Attachment File](/vault-api/api-reference/25.2/vault-objects/object-record-attachments/download-object-record-attachment-file)